
QGIS Application - Feature request #1768

Symbology of points does not change when editing point layer

2009-07-13 08:06 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution: wontfix

Easy fix?: No Copied to github as #: 11828

Description

When editing lines and polygons nodes become circles.

When editing points the symbol remain the same (the one choose in the symbology tab) and this (for me) doesn't helps much selecting,

moving, etc.

If I could choose I'd like to see the points become "X", like in grass editing of points.

History

#1 - 2009-08-19 12:08 PM - Magnus Homann

Points have no nodes, it's just a fetaure. You can't edit points with the same tool as you edit lines and polygons.

#2 - 2009-08-25 04:54 PM - Giovanni Manghi

Replying to [comment:1 homann]:

Points have no nodes, it's just a feature. You can't edit points with the same tool as you edit lines and polygons.

Hi,

ok, points are just features but I can still move them with both "move feature" and "move vertex" tools. Having a different symbology would help

understanding what layer is actually being edited (I know that the icon in the legend changes, but this way would be more immediate) and if the cross

symbol used it would help also placing in a new place the point with more accuracy.

#3 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:28 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2014-06-20 03:31 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- Resolution set to wontfix
